=== debian/changelog ===
libdb1 (1.85.4-osso4) unstable; urgency=low

  * cleanup: directory docs removed

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  1 Dec 2005 13:15:34 +0200

libdb1 (1.85.4-osso3) unstable; urgency=low

  * source cleanup 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon, 17 Oct 2005 15:30:39 +0300

libdb1 (1.85.4-osso2) unstable; urgency=low

  * added typedefs for u_int, u_short types to db.h to
    allow compilation for non-BSD souces

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed,  1 Jun 2005 20:28:33 +0300

libdb1 (1.85.4-osso1) unstable; urgency=low

  * Recompiled for osso platform to coexist with libdb1-compat

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 19 May 2005 17:47:21 +0300
