=== debian/control ===
Source: libdb1
Section: libs
Priority: extra
Maintainer: Eduard Bartosh <eduard.bartohs@nokia.com>
Build-Depends: debhelper (>> 3.0.0), gcc, libc6-dev
Standards-Version: 3.6.1

Package: libdb1-dev
Architecture: any
Depends: libdb1 (= ${Source-Version}), libc6
Provides: libdb1-dev
Description: The Berkeley database routines (development files)
 libdb is a library for manipulating database files, developed at Berkeley.
 .
 It supports three kinds of file formats:
  * btree. A representation of a sorted, balanced tree structure.
  * hashed. An extensible, dynamic hashing scheme.
  * UNIX file oriented. A byte stream file with fixed or variable length
    records.

Package: libdb1
Architecture: any
Replaces: libdb1-compat
Provides: libdb1-compat
Depends: ${shlibs:Depends}
Description: The Berkeley database routines (runtime version)
 libdb is a library for manipulating database files, developed at Berkeley.
 .
 It supports three kinds of file formats:
  * btree. A representation of a sorted, balanced tree structure.
  * hashed. An extensible, dynamic hashing scheme.
  * UNIX file oriented. A byte stream file with fixed or variable length
    records.
