=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

package=libdb1

# shared library versions, option 1
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	-(cd PORT/linux; $(MAKE))

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd PORT/linux; $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Add here commands to install the package into debian/tmp
	mkdir -p debian/tmp/usr/include/db
	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db install)
	cp include/db.h include/mpool.h debian/tmp/usr/include/db

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

	dh_installdocs
	dh_installman

	(cd debian/$(package)-dev/usr/share/man/man3; \
	 for name in *.3; do newname=`basename $$name .3`; mv $$name $$newname.3db; done)

	dh_installchangelogs changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
