## libdb1 1.85.4-osso7

=== PORT/linux/Makefile ===
--- 
+++ 
@@ -60,8 +60,8 @@
 	rm -f static/* shared/*
 
 OORG=	-O6 -fomit-frame-pointer -D_REENTRANT
-CL=	${CC} -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
-CS=	${CC} -fPIC -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
+CL=	${CC} -g -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
+CS=	${CC} -g -fPIC -c -D__DBINTERFACE_PRIVATE ${OORG} -I. -Iinclude
 
 hash.o: ../../hash/hash.c
 	${CL} -I../../hash ../../hash/hash.c -o static/$@
@@ -192,12 +192,12 @@
 	${CS} -I../../recno ../../recno/rec_utils.c -o shared/$@
 
 memmove.o:
-	${CC} -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o static/$@
-	${CC} -fPIC -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o shared/$@
+	${CC} -g -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o static/$@
+	${CC} -g -fPIC -DMEMMOVE -c -O -I. -Iinclude clib/memmove.c -o shared/$@
 mktemp.o:
-	${CC} -c -O -I. -Iinclude clib/mktemp.c -o static/$@
-	${CC} -fPIC -c -O -I. -Iinclude clib/mktemp.c -o shared$@
+	${CC} -g -c -O -I. -Iinclude clib/mktemp.c -o static/$@
+	${CC} -g -fPIC -c -O -I. -Iinclude clib/mktemp.c -o shared$@
 
 snprintf.o:
-	${CC} -c -O -I. -Iinclude clib/snprintf.c -o static/$@
-	${CC} -fPIC -c -O -I. -Iinclude clib/snprintf.c -o shared/$@
+	${CC} -g -c -O -I. -Iinclude clib/snprintf.c -o static/$@
+	${CC} -g -fPIC -c -O -I. -Iinclude clib/snprintf.c -o shared/$@
