=== debian/changelog ===
libdb1 (1.85.4-osso7) unstable; urgency=low

  * Fix debug build, was without -g. Fixes: NB#40812 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 25 Oct 2006 12:55:29 +0300

libdb1 (1.85.4-osso6) unstable; urgency=low

  * Produce -dbg package. Fixes: NB#40812

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 17 Oct 2006 16:19:34 +0300

libdb1 (1.85.4-osso5) unstable; urgency=low

  * Removed unneeded Provides. Fixes: NB#33571 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Jul 2006 14:01:18 +0300
