=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: libdb1
 Section: libs
 Priority: extra
-Maintainer: Eduard Bartosh <eduard.bartohs@nokia.com>
-Build-Depends: debhelper (>> 3.0.0), gcc, libc6-dev
+Maintainer: Eduard Bartosh <yauheni.kaliuta@nokia.com>
+Build-Depends: debhelper (>> 3.0.0), dpatch
 Standards-Version: 3.6.1
+
+Package: libdb1-dbg
+Architecture: any
+Depends: libdb1 (= ${Source-Version})
+Description: The Berkeley database routines (debug files)
+ libdb is a library for manipulating database files, developed at Berkeley.
 
 Package: libdb1-dev
 Architecture: any
 Depends: libdb1 (= ${Source-Version}), libc6
-Provides: libdb1-dev
 Description: The Berkeley database routines (development files)
  libdb is a library for manipulating database files, developed at Berkeley.
  .
