=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,15 @@
 # This is the debhelper compatability version to use.
 export DH_COMPAT=3
 
+include /usr/share/dpatch/dpatch.make
+
 package=libdb1
 
 # shared library versions, option 1
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
 major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 
-configure: configure-stamp
+configure: patch-stamp configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
@@ -30,7 +32,7 @@
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -48,7 +50,7 @@
 	
 	# Add here commands to install the package into debian/tmp
 	mkdir -p debian/tmp/usr/include/db
-	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
+	(cd PORT/linux; $(MAKE) CFLAGS=-g prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
 	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db install)
 	cp include/db.h include/mpool.h debian/tmp/usr/include/db
 
@@ -70,7 +72,7 @@
 
 	dh_installchangelogs changelog
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=libdb1
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
