## libdb1 1.85.4-osso9+0m5

=== debian/changelog ===
libdb1 (1.85.4-osso9+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Mon, 24 Aug 2009 15:15:36 +0300

libdb1 (1.85.4-osso9) unstable; urgency=low

  * Use -O2 compiler optimization. Fixes: NB#130593.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Thu, 20 Aug 2009 17:19:33 +0300

libdb1 (1.85.4-osso8) unstable; urgency=low

  * Recompile. Fixes: NB#94851

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 09 Dec 2008 18:07:38 +0200
