=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	touch configure-stamp
 
 build: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -35,7 +35,7 @@
 clean: unpatch
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp patch-stamp
 
 	# Add here commands to clean up after the build process.
 	-cd PORT/linux; $(MAKE) clean
@@ -50,7 +50,7 @@
 	
 	# Add here commands to install the package into debian/tmp
 	mkdir -p debian/tmp/usr/include/db
-	(cd PORT/linux; $(MAKE) CFLAGS=-g prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
+	(cd PORT/linux; $(MAKE) CFLAGS="-g -O2" prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db)
 	(cd PORT/linux; $(MAKE) prefix=../../debian/tmp/usr includedir=../../debian/tmp/usr/include/db install)
 	cp include/db.h include/mpool.h debian/tmp/usr/include/db
